Package org.eclipse.launchbar.core.target

# Interface ILaunchTarget

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`

All Known Subinterfaces:
  `ILaunchTargetWorkingCopy`

public interface ILaunchTarget extends org.eclipse.core.runtime.IAdaptable
A launch target is a thing that a launch will run on. Launch targets are simple objects with the intention that the launch delegates and launches will adapt this object to an object that will assist in performing the launch.

Restriction:
  not to be implemented by clients

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_ARCH`
`static final String`
`ATTR_OS`
`static final ILaunchTarget`
`NULL_TARGET`
The null target, which is the default when no other target is available.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String key, String defValue)`
Return a string attribute of this target
`Map<String,String>`
`getAttributes()`
Returns a read-only map of the attributes.
`String`
`getId()`
The id for the target.
`String`
`getTypeId()`
The type of the target.
`ILaunchTargetWorkingCopy`
`getWorkingCopy()`
Create a working copy of this launch target to allow setting of attributes.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Field Details

### ATTR_OS

static final String ATTR_OS

See Also:
  - Constant Field Values

### ATTR_ARCH

static final String ATTR_ARCH

See Also:
  - Constant Field Values

### NULL_TARGET

static final ILaunchTarget NULL_TARGET
The null target, which is the default when no other target is available.

## Method Details

### getId

String getId()
The id for the target. It is unique for each type.

Returns:
  id (name) for the target.

### getTypeId

String getTypeId()
The type of the target.

Returns:
  type of the target

### getAttribute

String getAttribute(String key, String defValue)
Return a string attribute of this target

Parameters:
  `key` - key
  `defValue` - default value
Returns:
  value of attribute

### getAttributes

Map<String,String> getAttributes()
Returns a read-only map of the attributes.

Returns:
  the attributes for this target
Since:
  2.1

### getWorkingCopy

ILaunchTargetWorkingCopy getWorkingCopy()
Create a working copy of this launch target to allow setting of attributes. It also allows changing the id, which results in a new launch target when saved.

Returns:
  launch target working copy